Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IAddressBook

All Superinterfaces
  IContainer, IItem, IRootContainer, Serializable

    public interface IAddressBook

extends IRootContainer

An address book is a specialized type of root container that can access address lists on a groupware server. The following code snippet shows how to get a handle to an address book:

     IGroupwareSession session = (IGroupwareSession) SessionFactory.createSession (...);
     IAddressBook ab = (IAddressBook) session.getDefaultRootContainer (
         DefaultRootContainerClassEnum.GLOBAL_ADDRESS_LIST);

See Also
  `IGroupwareSession`, `DefaultRootContainerClassEnum`

Field Summary
`static RootContainerClass` | `CLASS` The default type of root container for collaboration services.

Fields inherited from interface com.compoze.collab.IRootContainer
`MINIMUM_ROOT_CONTAINER_KEYS`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary

Methods inherited from interface com.compoze.collab.IRootContainer
`deleteItems, getContainerByID, getContainerByID, getItemByID, getItemByID, getItemsByID, moveItems`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### CLASS

    static final RootContainerClass CLASS

  The default type of root container for collaboration services.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved